Resource Center/Network Service/Network Service Operations/Security Group Operations
PUTSecurity Group OperationsSince 0.6SynchronousAuth Required
ChangeSecurityGroupState
ChangeSecurityGroupState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changesecuritygroupstateObjectRequiredchangesecuritygroupstate request body object.
stateEventStringRequiredThe security group state.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/security-groups/{uuid}/actions
/zstack/v1/security-groups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/security-groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changesecuritygroupstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "eebb81d825214555a61567f8811fca15", "name": "web", "description": "for test", "state": "Enabled", "createDate": "Jun 7, 2017 9:20:16 PM", "lastOpDate": "Jun 7, 2017 9:20:16 PM", "internalId": 0.0 } }Change History
This API has no change history records yet.
